{% extends "../../layout.jinja2" %}

{% block content %}
<h1>Last Observations</h1>

<form class="form-horizontal" method="get" action="{{ request.route_path('list', type='observation') }}">
    <div class="card">
        <div class="card-body">
            <fieldset>
                <div class="form-group">
                    {{ form.instrument.label(class="control-label") }}
                    {{ form.instrument(class="form-control") }}
                    {% if form.instrument.errors %}
                        <span class="error help-inline">{{ form.instrument.errors|join(', ') }}</span>
                    {% endif %}
                    {% if form.instrument.description %}
                        <p class="help-block">{{ form.instrument.description|safe }}</p>
                    {% endif %}
                </div>
            </fieldset>
            <button type="submit" class="btn btn-primary" title="Submit">
                <i class="fa fa-search" aria-hidden="true"></i> Submit
            </button>
        </div>
    </div>
</form>

<table class="table data-table">
    <thead>
        <tr>
            <th>ID</th>
            <th>Instrument</th>
            <th>Ins. Mode</th>
            <th>Target</th>
            <th>RA</th>
            <th>DEC</th>
            <th>Exposures</th>
        </tr>
    </thead>
    <tbody>
    {% for observation in observations %}
        <tr>
            <td><a href="{{ request.route_path('detail', type='observation', id=observation.id) }}">{{ observation.id }}</a></td>
            <td><a href="{{ request.route_path('detail', type='instrument', id=observation.instrument_id) }}">{{ observation.instrument.name }}</a></td>
            <td>{% if observation.instrument_mode %}{{ observation.instrument_mode.name }}{% endif %}</td>

            {% if observation.target %}
                <td>{{ observation.target.name|default('', true) }}</td>
                <td>{% if observation.target.ra != None %}{{ observation.target.ra }}{% endif %}</td>
                <td>{% if observation.target.dec != None %}{{ observation.target.dec }}{% endif %}</td>
            {% else %}
                <td></td>
                <td></td>
                <td></td>
            {% endif %}

            <td>{{ observation.exposures_count or 0 }}</td>
        </tr>
    {% endfor %}
    </tbody>
</table>
{% endblock content %}